<?php

namespace EuKit\Base;

use EuKit\Base\Interfaces\ViewModel;
use EuKit\Base\BasePageTemplate;
use Infomaker\Everyware\Base\Models\Page;

/**
 * Class PageTemplate
 * @package EuKit\Base
 */
class PageTemplate extends BasePageTemplate implements ViewModel
{
    public function __construct(Page $page)
    {
        $this->initViewData();
        $this->mergeViewData(['page' => $page]);
        $this->mergeViewData(['paramQ' => $this->getQuery()]);
        $this->mergeViewData(['getPageID' => get_the_ID()]);
    }

    protected function getQuery(): string
    {
        return empty($_GET['q']) ? '' : $_GET['q'];
    }
}
